import request from '@/utils/request'

// 查询MOC清单列表
export function listMoc(query) {
  return request({
    url: '/moc/moc/list',
    method: 'get',
    params: query
  })
}

// 查询MOC清单详细
export function getMoc(id) {
  return request({
    url: '/moc/moc/' + id,
    method: 'get'
  })
}

// 新增MOC清单
export function addMoc(data) {
  return request({
    url: '/moc/moc',
    method: 'post',
    data: data
  })
}

// 修改MOC清单
export function updateMoc(data) {
  return request({
    url: '/moc/moc',
    method: 'put',
    data: data
  })
}

// 删除MOC清单
export function delMoc(id) {
  return request({
    url: '/moc/moc/' + id,
    method: 'delete'
  })
}
